/*
intervals.c - part of nchord - program for synthesis of rational n-chords and -rhythms
Author: Klaus Wachter
e-mail: mail@klaus-wachter-1.de
Copyright: Freeware
Platform: LINUX
*/

#define BURST_LENGTH 10000
#define initial_factor 100

main (int argc, char **argv)
{
  int i, j;
  int burst_length = BURST_LENGTH;
  int factor = initial_factor;
  int octave;
  if (argc >= 2)
    burst_length = atoi (argv[1]);
  printf ("# Issue all rational 2-chords inside an octave\n\
# of length %i samples in sequence.\n\n", burst_length);
  printf ("%i b\n", burst_length);
  for (i = 1;; i++)
    {
      factor = initial_factor / i;
      if (factor >= 1)
	printf ("%i f\n", factor);
      octave = (i / 2) + (i % 2);
      printf ("0 o %i t 1 o\n", i);
      for (j = i; j >= octave; j--)
	printf ("%i t p\n", j);
    }
}
